/// <reference types="ths-common-base" />
import { AxiosResponse } from 'axios';
export declare enum DictionaryCodeEnum {
    BPM_PRO_STATUS = "pro_status",
    BPM_ITEM_TYPE = "item_type"
}
export declare const GET_DICTIONARYS_BY_CODE_URL: string;
/**
 * 通过 字典分类编码 获取 字典条目集合
 * @param dictionaryCode 字典分类编码
 * @param schema 是否调用新接口，dsm: 是
 * @returns [{ code:'1', name:'男'... }]
 */
export declare function getDictionarysByCode(dictionaryCode: string, schema?: string): Promise<AxiosResponse<CommonBaseHttp.ResponseData<CommonBaseDic.Dictionary[]>>>;
